Bug 4784 - login sometimes reports that you have mail when you really don't.
login sometimes reports that you have mail when you really don't.
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: imap (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-30 10:49 EDT by forsytad
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-30 16:52:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description forsytad 1999-08-30 10:49:37 EDT
I think this is a feature and not a bug as far as imap folks
are concerned, but bugzilla made me choose a component, and
one for login didn't exist.

A feature was added to the new pine, imapd, ipop2d, and
ipop3d daemons (which were included with RedHat 6.0) that
keeps track of some information that they need in a bogus
email message in the users inbox.  These three programs know
about this message and how to identify its existance so they
don't ever show it to the user.

Login as it currently exists, does not know about this
behavior.  When a user loggs in, it check to see if the size
of their mailbox is > 0.  If it is, it declares to them,
"You have mail."....well, this is not necessesarily true, as
it might just be this bogus message from pine, imapd,
ipop3d, or ipop2d sitting in that inbox.

I would suggest that either login should be made smart
enough to recognize these messages and not count that as the
user having mail, or the feature should be disabled
completly in login, and it shouldn't try to report whether
or not a user has mail when they log in.
Comment 1 Preston Brown 1999-08-30 16:52:59 EDT
changed in util-linux-2.9w-23 and later (will available in 6.1).
Comment 2 Jonathan Kamens 2000-01-25 10:57:59 EST
This does not appear to be fixed in 6.1:

jik:~!52> rpm -q -f /bin/login
util-linux-2.10c-3
jik:~!53> telnet localhost
Trying 127.0.0.1...
Connected to localhost.localdomain.
Escape character is '^]'.

Red Hat Linux release 6.1 (Cartman)
Kernel 2.2.14 on an i686
login: jik
Password:
Last login: Mon Jan 24 23:23:50 on tty1
You have mail.
jik:~!1> frm
Mail System Internal Data  DON'T DELETE THIS MESSAGE -- FOLDER INTERNAL DATA
jik:~!2>

Note the "You have mail." line, even though the only message in my mailbox is
the IMAP book-keeping message.

Note You need to log in before you can comment on or make changes to this bug.